HostingMigrations
Execute migration now
PUT
/api/migrations/{migration_code}Forces the first or second migration execution to run now. Admin only.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Path Parameters
migration_code*string
Migration code: MG followed by 8 digits. Example: MG12345678.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
execution*string
Execution slot to run immediately.
first= first migration execution.second= second migration execution.
Values
first | secondResponse Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/migrations/string" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{ "execution": "first" }'Empty
{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}